﻿using System;


namespace StructMethods {

	struct Point {
		public int X;
		public int Y;

		public Point(int x, int y) {
			this.X = x;
			this.Y = y;
		}

		public void MoveByOneX() {
			this.X += 1;
		}

		public void MoveByOneY() {
			Y += 1;
		}
	}

	class Program {
		static void Reset(Point p) {
			p.X = 0;
			p.Y = 0;
		}

		static void Main(string[] args) {
			Point p1;
			p1 = new Point(10, 20);
			Console.WriteLine($"X: {p1.X}, Y: {p1.Y}");

			p1.MoveByOneX();
			Console.WriteLine($"X: {p1.X}, Y: {p1.Y}");

			Reset(p1);
			Console.WriteLine($"X: {p1.X}, Y: {p1.Y}");
		}
	}
}
